"NoClassDefFoundError" on updating of Kotlin JVM from 1.5.30 to 1.7.10 in Kotlin template

已回答

I got 

java.lang.NoClassDefFoundError: com/intellij/openapi/util/SystemInfoRt
    at com.intellij.openapi.application.PathManager.getBinDirectories(PathManager.java:175)
    at com.intellij.openapi.application.PathManager.isIdeaHome(PathManager.java:163)
    at com.intellij.openapi.application.PathManager.getHomeDirFor(PathManager.java:156)
    at com.intellij.openapi.application.PathManager.getHomePathFor(PathManager.java:146)
    at com.intellij.openapi.application.PathManager.getHomePath(PathManager.java:95)
    at com.intellij.openapi.application.PathManager.loadProperties(PathManager.java:540)
    at com.intellij.idea.Main.bootstrap(Main.java:91)
    at com.intellij.idea.Main.main(Main.java:81)
Caused by: java.lang.ClassNotFoundException: com.intellij.openapi.util.SystemInfoRt
    at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:641)
    at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:188)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:520)
    ... 8 more

when updated 

id("org.jetbrains.kotlin.jvm") version "1.5.30"

to

id("org.jetbrains.kotlin.jvm") version "1.7.10"

in my plugin. It was another error before before I changes the version of org.jetbrains.kotlin.jvm.

Please help me to resolve it because I can't publish the new version of Yamato-Daiwa Frontend plugin.

评论操作 固定链接

You're using a very old and obsolete version of Gradle IntelliJ Plugin, please upgrade it always to the latest (1.8.0 currently).

1
评论操作 固定链接

Yann Cebron

This problem has been solved.

Thank you very much for support!

0

请先登录再写评论。